com.hazelcast.config

## Class MapIndexConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.MapIndexConfig
  - - com.hazelcast.config.MapIndexConfigReadOnly

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class MapIndexConfigReadOnly
      extends MapIndexConfig

  Contains the configuration for a index of Map.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapIndexConfigReadOnly(MapIndexConfig config)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `MapIndexConfig` | `setAttribute(String attribute)` Deprecated. Sets the attribute that is going to be indexed.
    `MapIndexConfig` | `setOrdered(boolean ordered)` Deprecated. Configures the index to be ordered or not ordered.

    - ### Methods inherited from class com.hazelcast.config.MapIndexConfig

      `equals, getAsReadOnly, getAttribute, getFactoryId, getId, hashCode, isOrdered, readData, toString, validateIndexAttribute, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapIndexConfigReadOnly

          public MapIndexConfigReadOnly(MapIndexConfig config)

      Deprecated.

  - ### Method Detail

    - #### setAttribute

          public MapIndexConfig setAttribute(String attribute)

      Deprecated.
      Description copied from class: `MapIndexConfig`
      Sets the attribute that is going to be indexed.
      Overrides:
        `setAttribute` in class `MapIndexConfig`
      Parameters:
        `attribute` - the attribute that is going to be indexed
      Returns:
        the updated MapIndexConfig

    - #### setOrdered

          public MapIndexConfig setOrdered(boolean ordered)

      Deprecated.
      Description copied from class: `MapIndexConfig`
      Configures the index to be ordered or not ordered. Some indices can be ordered, such as age. Sometimes you want to look for all people with an age equal or greater than X. In other cases an ordered index doesn't make sense, such as a phone number for a person.
      Overrides:
        `setOrdered` in class `MapIndexConfig`
      Parameters:
        `ordered` - if the index should be an ordered index
      Returns:
        the updated MapIndexConfig

Copyright © 2019. All rights reserved.